Update requirements for python 3.11

There is a debian bug that covers an issue building
packages for networking-l2gw on python 3.11:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1023764

It looks like the problem is that the neutron method
register_common_config_options() doesn't exist in the
version of neutron (16.0.0.0b1) this repo is requiring,
as that method was introduced in neutron 21.0.0.

This is my attempt at moving that requirement forward,
which required various other ones as the string was pulled.

Change-Id: I67ae220c481a2381d6c492f6e01793d43dadbb3e
changes/20/866620/5
Brian Haley 2022-12-05 14:28:43 -05:00
parent 96cb7f2002
commit 9768fd9ebb
2 changed files with 42 additions and 48 deletions

View File

@ -1,5 +1,5 @@
alabaster==0.7.10
alembic==0.8.10
alembic==1.6.5
amqp==2.1.1
appdirs==1.4.3
asn1crypto==0.23.0
@ -7,15 +7,14 @@ Babel==2.3.4
beautifulsoup4==4.6.0
blockdiag==1.5.3
cachetools==2.0.0
cffi==1.14
cliff==2.8.0
cliff==3.4.0
cmd2==0.8.0
contextlib2==0.4.0
coverage==4.0
cryptography==3.0
ddt==1.0.1
debtcollector==1.19.0
decorator==3.4.0
decorator==4.1.0
deprecation==1.0
Django==2.2
django-appconf==1.0.2
@ -24,7 +23,7 @@ django-compressor==2.0
django-pyscss==2.0.2
docutils==0.11
dogpile.cache==0.6.5
eventlet==0.18.2
eventlet==0.26.1
exabgp==4.0.4
extras==1.0.0
fasteners==0.7.0
@ -32,10 +31,8 @@ fixtures==3.0.0
funcparserlib==0.3.6
future==0.16.0
futurist==1.2.0
greenlet==0.4.15
horizon==17.1.0
httplib2==0.9.1
idna==2.6
imagesize==0.7.1
iso8601==0.1.11
isort==4.3.21
@ -45,52 +42,51 @@ jsonpatch==1.16
jsonpointer==1.13
jsonschema==2.6.0
keystoneauth1==3.14.0
keystonemiddleware==4.17.0
keystonemiddleware==5.1.0
kombu==4.0.0
linecache2==1.0.0
logilab-common==1.4.1
logutils==0.3.5
Mako==0.4.0
Mako==1.0.7
MarkupSafe==1.1.0
monotonic==0.6
monotonic==1.4
mox3==0.20.0
msgpack-python==0.4.0
munch==2.1.0
netaddr==0.7.18
netifaces==0.10.4
neutron==16.0.0.0b1
neutron-lib==2.0.0
neutron==21.0.0
neutron-lib==3.1.0
openstacksdk==0.31.2
os-client-config==1.28.0
os-ken==0.3.0
os-ken==2.2.0
os-service-types==1.7.0
os-testr==1.0.0
os-traits==0.9.0
os-traits==2.4.0
os-xenapi==0.3.1
os-vif==1.15.1
osc-lib==1.8.0
osc-lib==1.12.0
oslo.cache==1.26.0
oslo.concurrency==3.26.0
oslo.config==5.2.0
oslo.context==2.19.2
oslo.db==4.40.0
oslo.i18n==3.15.3
oslo.log==3.36.0
oslo.messaging==5.29.0
oslo.config==8.0.0
oslo.context==2.22.0
oslo.db==4.44.0
oslo.i18n==3.20.0
oslo.log==4.5.0
oslo.messaging==7.0.0
oslo.middleware==3.31.0
oslo.policy==1.30.0
oslo.privsep==1.32.0
oslo.policy==3.12.0
oslo.privsep==2.3.0
oslo.reports==1.18.0
oslo.rootwrap==5.8.0
oslo.serialization==2.18.0
oslo.service==1.24.0
oslo.upgradecheck==0.1.1
oslo.utils==3.33.0
oslo.rootwrap==5.15.0
oslo.serialization==2.25.0
oslo.service==2.8.0
oslo.upgradecheck==1.3.0
oslo.utils==4.8.0
oslo.versionedobjects==1.35.1
oslotest==3.2.0
osprofiler==2.3.0
ovs==2.8.0
ovsdbapp==0.17.0
ovs==2.10.0
ovsdbapp==1.16.0
paramiko==2.0.0
Paste==2.0.2
PasteDeploy==1.5.0
@ -102,10 +98,9 @@ Pillow==2.4.0
Pint==0.5
positional==1.2.1
prettytable==0.7.2
psutil==3.2.2
psycopg2==2.8.5
psutil==5.3.0
pyasn1==0.1.8
pycadf==1.1.0
pycparser==2.18
Pygments==2.2.0
pyinotify==0.9.6
@ -114,28 +109,28 @@ PyMySQL==0.7.6
pyOpenSSL==19.1.0
pyparsing==2.1.0
pyperclip==1.5.27
pyroute2==0.5.7
pyroute2==0.6.6
pyScss==1.3.7
pytest==5.3.5
python-cinderclient==5.0.0
python-dateutil==2.5.3
python-dateutil==2.7.0
python-designateclient==2.7.0
python-editor==1.0.3
python-glanceclient==2.8.0
python-keystoneclient==3.22.0
python-mimeparse==1.6.0
python-neutronclient==6.7.0
python-neutronclient==7.8.0
python-novaclient==9.1.0
python-subunit==1.0.0
python-swiftclient==3.2.0
pytz==2013.6
PyYAML==3.12
pytz==2015.7
PyYAML==5.1
rcssmin==1.0.6
repoze.lru==0.7
requests==2.14.2
requests==2.18.0
requests-mock==1.2.0
requestsexceptions==1.2.0
rfc3986==0.3.1
rfc3986==1.2.0
rjsmin==1.0.12
Routes==2.3.1
ryu==4.24
@ -144,15 +139,14 @@ seqdiag==0.9.5
simplejson==3.5.1
snowballstemmer==1.2.1
Sphinx==2.0.0
SQLAlchemy==1.2.0
sqlalchemy-migrate==0.11.0
SQLAlchemy==1.4.23
sqlparse==0.2.2
statsd==3.2.1
stestr==1.0.0
stevedore==1.20.0
stevedore==2.0.1
tempest==17.1.0
Tempita==0.5.2
tenacity==4.4.0
tenacity==6.0.0
testrepository==0.0.18
testresources==2.0.0
testscenarios==0.4

View File

@ -3,10 +3,10 @@
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0
neutron-lib>=2.0.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
ovsdbapp>=0.17.0 # Apache-2.0
neutron>=16.0.0 # Apache-2.0
neutron-lib>=3.1.0 # Apache-2.0
python-neutronclient>=7.8.0 # Apache-2.0
ovsdbapp>=1.16.0 # Apache-2.0
neutron>=21.0.0 # Apache-2.0
# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released